package com.heyu.api.data.dao.vv;
/**
* <p>
* 结算证明 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-26
*/
import com.heyu.api.data.entity.vv.VvSettlementProveEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface VvSettlementProveDao extends BaseMapper<VvSettlementProveEntity> {


	VvSettlementProveEntity selectVvSettlementProveById(@Param("id")Long id);


	Long insertVvSettlementProve(VvSettlementProveEntity vvSettlementProve);


	Long insertOrUpdateVvSettlementProve(VvSettlementProveEntity vvSettlementProve);


	int updateVvSettlementProveById(VvSettlementProveEntity vvSettlementProve);


	int updateCoverVvSettlementProveById(VvSettlementProveEntity vvSettlementProve);


	int deleteVvSettlementProveById(@Param("id")Long id);


}